//BPZWMG3D JOB <JOB PARAMETERS>
//*
//**********************************************************************
//* Licensed Materials - Property of IBM
//* 5655-W05
//* (C) COPYRIGHT International Business Machines Corp. 2007, 2009
//* US Government Users Restricted Rights - Use, duplication or disclosu
//* restricted by GSA ADP Schedule Contract with IBM Corp.
//* The source code for this program is not published or otherwise dives
//* of its trade secrets, irrespective of what has been deposited with t
//* U.S. Copyright Office.
//**********************************************************************
//*
//********************************************************************          
//*                                                                  *          
//* This job performs the Migration of a Business Process Management *          
//* Deployment Manager to a V8.0 Deployment Manager.                 *          
//*                                                                  *          
//* CAUTION:                                                         *          
//* This is not a complete job, modifications are required.          *          
//*                                                                  *          
//*  1. The following parameters must be amended for your            *          
//*     own configuration.                                           *          
//*                                                                  *          
//*     #bpminst#  install directory of the v8.0 BPM product         *          
//*                eg. /was/V8IMbpm1                                 *          
//*                                                                  *          
//*     #workdir#  general working directory in USS for the          *          
//*                migration runs.                                   *          
//*                eg.  /tmp/migv80                                  *          
//*                                                                  *          
//*     #migrdir#  working directory in USS for the migration of     *          
//*                this specific server.                             *          
//*                eg.  t1dmgr                                       *          
//*                                                                  *          
//*     #migrpds#  high level qualifier of the pds created by the    *          
//*                WebSphere Customisation Tool containing the       *          
//*                generated migration jobs.                         *          
//*                eg. ZWPS.BPM.V8.MIG.V8T1DM                        *          
//*                                                                  *          
//*                                                                  *          
//* 2 Add the following parameters to BBOWMDEV in the .DATA pds      *          
//*                                                                  *          
//*    FROM_ProfileName=default                                      *          
//*    wpsMigEnabledPrivate=true                                     *          
//*                                                                  *          
//********************************************************************          
//*                                                                             
//***************************************************************               
//*                                                             *               
//* Create working directory to run migration from              *               
//*                                                             *               
//***************************************************************               
//*                                                                             
//*                                                                             
//SETUP  EXEC PGM=IKJEFT01,REGION=0M                                            
//SYSTSPRT DD SYSOUT=*                                                          
//SYSTSIN  DD *                                                                 
  BPXBATCH SH +                                                                 
   if !(test -d #workdir#) +                                                    
     then +                                                                     
       mkdir -p #workdir#; +                                                    
       chmod 777 #workdir#; +                                                   
   fi; +                                                                        
   if !(test -d #workdir#/#migrdir#) +                                          
     then +                                                                     
      mkdir -p #workdir#/#migrdir#; +                                           
     else +                                                                     
      rm -R #workdir#/#migrdir#; +                                              
      mkdir -p #workdir#/#migrdir#; +                                           
   fi; +                                                                        
     cp +                                                                       
     #bpminst#+                                                                 
     /zos.migration/bin/wbimigrt2.sh +                                          
     #workdir#/wbimigrt2.sh; +                                                  
     chmod 777  #workdir#/wbimigrt2.sh;                                         
/*                                                                              
//*                                                                             
//*                                                                             
//**********************************************************************        
//*  WRCONFIG                                                                   
//*                                                                             
//*  Copy the Dialog Generated Variables over to a shell script that            
//*  will be used to set-up the migration environment variables.                
//*                                                                             
//**********************************************************************        
//*                                                                             
//WRCONFIG EXEC PGM=IKJEFT01,COND=(4,LE)                                        
// SET TRGDS='#migrpds#'                                                        
//*                                                                             
//SYSTSPRT DD SYSOUT=*                                                          
//*                                                                             
//ENVVARS DD DSN=&TRGDS..DATA(BBOWMDEV),                                        
//           DISP=OLD                                                           
//*                                                                             
//HFSOUTL  DD PATH='#workdir#/#migrdir#/migvars',                               
//            PATHOPTS=(OWRONLY,OCREAT,OTRUNC),                                 
//            PATHMODE=(SIRWXU,SIRWXG)                                          
//*                                                                             
//SYSPRINT DD SYSOUT=*                                                          
//SYSTSIN  DD DATA                                                              
ocopy indd(ENVVARS) outdd(HFSOUTL)                                              
/*                                                                              
//*                                                                             
//***************************************************************               
//*                                                                             
//* MKCONFIG: Gather Information from existing configuration                    
//*                                                                             
//***************************************************************               
//*                                                                             
//MKCONFIG EXEC PGM=IKJEFT01,REGION=0M,COND=(4,LE)                              
//SYSTSPRT DD SYSOUT=*                                                          
//SYSTSIN  DD *                                                                 
  BPXBATCH SH +                                                                 
  #workdir#/wbimigrt2.sh mkconfig +                                             
     #workdir#/#migrdir#/migvars +                                              
   1> #workdir#/#migrdir#/BPZWMG3D.out +                                        
   2> #workdir#/#migrdir#/BPZWMG3D.err;                                         
/*                                                                              
//*                                                                             
//***************************************************************               
//*                                                                             
//* VERIFY: Verify the Environment File                                         
//*                                                                             
//***************************************************************               
//*                                                                             
//VERIFY EXEC PGM=IKJEFT01,REGION=0M,COND=(4,LE)                                
//SYSTSPRT DD SYSOUT=*                                                          
//SYSTSIN  DD *                                                                 
  BPXBATCH SH +                                                                 
  #workdir#/wbimigrt2.sh validate +                                             
     #workdir#/#migrdir#/migvars +                                              
   1>> #workdir#/#migrdir#/BPZWMG3D.out +                                       
   2>> #workdir#/#migrdir#/BPZWMG3D.err;                                        
/*                                                                              
//*                                                                             
//*                                                                             
//***************************************************************               
//*                                                                             
//* PREUPGRD: Prepare to Migrate a Node to the new Profile                      
//*                                                                             
//***************************************************************               
//*                                                                             
//*                                                                             
//PREUPGRD   EXEC PGM=IKJEFT01,REGION=0M,COND=(4,LE)                            
//SYSTSPRT DD SYSOUT=*                                                          
//STDENV DD * // _CEE_RUNOPTS=TRAP(ON,NOSPIE) //*                               
//SYSTSIN  DD *                                                                 
  BPXBATCH SH +                                                                 
  #workdir#/wbimigrt2.sh BPMSnapshotSourceProfile +                             
       #workdir#/#migrdir#/migvars +                                            
   1>> #workdir#/#migrdir#/BPZWMG3D.out +                                       
   2>> #workdir#/#migrdir#/BPZWMG3D.err;                                        
/*                                                                              
//*                                                                             
//*                                                                             
//***************************************************************               
//*                                                                             
//* UPGRADE: Perform the migration to the new Profile                           
//*                                                                             
//***************************************************************               
//*                                                                             
//*                                                                             
//UPGRADE EXEC PGM=IKJEFT01,REGION=0M,COND=(4,LE)                               
//SYSTSPRT DD SYSOUT=*                                                          
//STDENV DD * // _CEE_RUNOPTS=TRAP(ON,NOSPIE) //*                               
//SYSTSIN  DD *                                                                 
  BPXBATCH SH +                                                                 
  #workdir#/wbimigrt2.sh BPMMigrateProfile +                                    
      #workdir#/#migrdir#/migvars +                                             
  1>> #workdir#/#migrdir#/BPZWMG3D.out +                                        
  2>> #workdir#/#migrdir#/BPZWMG3D.err;                                         
/*                                                                              
//*                                                                             
//*                                                                             
//***************************************************************               
//*                                                                             
//* FINISHUP:  - Do End of Migration Processing                                 
//*                                                                             
//***************************************************************               
//*                                                                             
//*                                                                             
//FINISHUP  EXEC PGM=IKJEFT01,REGION=0M,COND=(4,LE)                             
//SYSTSPRT DD SYSOUT=*                                                          
//STDENV DD * // _CEE_RUNOPTS=TRAP(ON,NOSPIE) //*                               
//SYSTSIN  DD *                                                                 
  BPXBATCH SH +                                                                 
  #workdir#/wbimigrt2.sh finishUp +                                             
       #workdir#/#migrdir#/migvars +                                            
   1>> #workdir#/#migrdir#/BPZWMG3D.out +                                       
   2>> #workdir#/#migrdir#/BPZWMG3D.err;                                        
/*                                                                              
//*                                                                             
//*  End of WebSphere Node Migration                                            
//*                                                                             
//*                                                                             
//WROUT EXEC PGM=IKJEFT01                                                       
//SYSTSPRT DD SYSOUT=*                                                          
//JESOUT   DD SYSOUT=*,RECFM=V,LRECL=2048                                       
//*                                                                             
//LOGFILE  DD PATH='#workdir#/#migrdir#/BPZWMG3D.out',                          
//           PATHOPTS=(ORDONLY)                                                 
//*                                                                             
//SYSPRINT DD SYSOUT=*                                                          
//SYSTSIN  DD DATA                                                              
ocopy indd(LOGFILE) outdd(JESOUT)                                               
/*                                                                              
//*                                                                             
//WRERR EXEC PGM=IKJEFT01                                                       
//SYSTSPRT DD SYSOUT=*                                                          
//JESOUT   DD SYSOUT=*,RECFM=V,LRECL=2048                                       
//*                                                                             
//LOGFILE  DD PATH='#workdir#/#migrdir#/BPZWMG3D.err',                          
//           PATHOPTS=(ORDONLY)                                                 
//*                                                                             
//SYSPRINT DD SYSOUT=*                                                          
//SYSTSIN  DD DATA                                                              
ocopy indd(LOGFILE) outdd(JESOUT)                                               
/*                                                                              
//*